Get User's Group Memberships
GET /obp/v7.0.0/users/USER_ID/group-entitlements
OBPv6.0.0-getUserGroupMemberships Roles: CanGetUserGroupMembershipsAtAllBanks,CanGetUserGroupMembershipsAtOneBank(per bank) GroupUserEntitlement
Get all groups a user is a member of.
Returns the groups the user was added to, and groups where the user has entitlements carrying a group_id.
The response includes:
- list_of_entitlements: entitlements the user currently has from this group membership
Requires either:
- CanGetUserGroupMembershipsAtAllBanks (for any user)
- CanGetUserGroupMembershipsAtOneBank (for users at specific bank)
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
USER_ID: 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
JSON response body fields (6)
Example success response
{
"group_entitlements": [
{
"group_id": "group-id-123",
"user_id": "user-id-123",
"bank_id": "gh.29.uk",
"group_name": "Teller Group",
"list_of_entitlements": [
"CanGetCustomer",
"CanGetAccount",
"CanCreateTransaction"
]
}
]
}Possible errors (3)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-50000: Unknown Error.